commit:     e0fdf2602cf0924c9b10926213975955997aed4f
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 24 20:31:26 2016 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Sun Jul 24 21:23:14 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0fdf260

media-libs/glew: Add lib-only 1.10 SLOT for binary games (i.e. Steam)

Note to whoever touches this package next. The X dependencies are
wrong. media-libs/glu is needed but only in RDEPEND for the headers.

Package-Manager: portage-2.3.0

 media-libs/glew/glew-1.10.0-r100.ebuild | 65 +++++++++++++++++++++++++++++++++
 1 file changed, 65 insertions(+)

diff --git a/media-libs/glew/glew-1.10.0-r100.ebuild 
b/media-libs/glew/glew-1.10.0-r100.ebuild
new file mode 100644
index 0000000..8481435
--- /dev/null
+++ b/media-libs/glew/glew-1.10.0-r100.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit multilib-minimal toolchain-funcs versionator
+
+DESCRIPTION="The OpenGL Extension Wrangler Library"
+HOMEPAGE="http://glew.sourceforge.net/";
+SRC_URI="mirror://sourceforge/${PN}/${P}.tgz"
+
+LICENSE="BSD MIT"
+SLOT="$(get_version_component_range 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh ~sparc 
~x86 ~amd64-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~ia64-linux ~x86-linux 
~x64-macos ~x86-macos ~sparc-solaris ~x64-solaris ~x86-solaris"
+
+RDEPEND=">=virtual/opengl-7.0-r1[${MULTILIB_USEDEP}]"
+
+DEPEND="${RDEPEND}
+       x11-libs/libX11
+       x11-proto/xproto"
+
+DOCS=""
+
+src_prepare() {
+       default
+
+       sed -i \
+               -e '/$(CC) $(CFLAGS) -o/s:$(CFLAGS):$(CFLAGS) $(LDFLAGS):' \
+               -e '/glew.lib:/s|lib/$(LIB.STATIC) ||' \
+               -e '/glew.lib.mx:/s|lib/$(LIB.STATIC.MX) ||' \
+               Makefile || die
+
+       # don't do stupid Solaris specific stuff that won't work in Prefix
+       cp config/Makefile.linux config/Makefile.solaris || die
+       # and let freebsd be built as on linux too
+       cp config/Makefile.linux config/Makefile.freebsd || die
+
+       multilib_copy_sources
+}
+
+set_opts() {
+       myglewopts=(
+               AR="$(tc-getAR)"
+               STRIP=true
+               CC="$(tc-getCC)"
+               LD="$(tc-getCC) ${LDFLAGS}"
+               M_ARCH=""
+               LDFLAGS.EXTRA=""
+               LDFLAGS.GL="-lGL" # Don't need X libs!
+               POPT="${CFLAGS}"
+       )
+
+       # support MinGW targets (bug #523444)
+       [[ ${CHOST} == *-mingw* ]] && myglewopts+=( SYSTEM=mingw )
+}
+
+multilib_src_compile() {
+       set_opts
+       emake glew.lib{,.mx} "${myglewopts[@]}"
+}
+
+multilib_src_install() {
+       newlib.so lib/libGLEW.so.${SLOT}.* libGLEW.so.${SLOT}
+       newlib.so lib/libGLEWmx.so.${SLOT}.* libGLEWmx.so.${SLOT}
+}

Reply via email to